using System;
using System.Data;
using MySql.Data.MySqlClient;
using MySql.Data.Types;


namespace ConsoleApplication1
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
    
    private DataTable data;
    private MySqlDataAdapter da;
    private MySqlCommandBuilder cb;
    /// </summary>
		[STAThread]
		static void Main(string[] args)
		{
      string connStr = "server=localhost; database=test; pooling=false";
      MySqlConnection conn = new MySqlConnection( connStr );


      try 
      {
        conn.Open();

      }
      catch (MySqlException ex) 
      {
        Console.WriteLine("Error connecting to the server: " + ex.Message );
      }
      finally
      {
        Console.WriteLine("start test...");
        MySqlCommand FCmd = new MySqlCommand("simple_func", conn);
        FCmd.CommandType = System.Data.CommandType.StoredProcedure;
        MySqlParameter rv = FCmd.Parameters.Add("rv", MySqlDbType.Int32);
        rv.Direction = ParameterDirection.ReturnValue;
        FCmd.ExecuteNonQuery();
        Console.WriteLine("return value=" + rv.Value);
      }
		}
	}
}
